"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.appInfo = exports.getBuildInfo = void 0;
const electron_1 = require("electron");
const path_1 = require("path");
const global_1 = require("../../global");
const fs_1 = require("fs");
function getBuildInfo() {
    try {
        const data = (0, fs_1.readFileSync)((0, path_1.resolve)(electron_1.app.getAppPath(), 'buildInfo.json'));
        const buildInfo = JSON.parse(data.toString());
        if ((0, global_1.isBuildInfo)(buildInfo))
            return buildInfo;
        else
            return { type: 'devel' };
    }
    catch {
        return { type: 'devel' };
    }
}
exports.getBuildInfo = getBuildInfo;
function person2string(person) {
    if (person.name)
        return person.name;
    return person;
}
exports.appInfo = {
    repository: {
        name: person2string(global_1.packageJson.author) + '/' + electron_1.app.getName(),
        provider: 'github.com'
    },
    icon: (0, path_1.resolve)(electron_1.app.getAppPath(), "sources/assets/icons/app.png"),
    trayIcon: (0, path_1.resolve)(electron_1.app.getAppPath(), "sources/assets/icons/tray.png"),
    trayUnread: (0, path_1.resolve)(electron_1.app.getAppPath(), "sources/assets/icons/tray-unread.png"),
    trayPing: (0, path_1.resolve)(electron_1.app.getAppPath(), "sources/assets/icons/tray-ping.png"),
    minWinHeight: 412,
    minWinWidth: 312
};
