"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createGithubIssue = void 0;
const electron_1 = require("electron");
const client_1 = require("../main/modules/client");
async function createGithubIssue(reason) {
    const description = reason ?? '';
    const githubIssueUrl = new URL('https://github.com/' + client_1.appInfo.repository.name + '/issues/new' +
        '?assignees=SpacingBat3' + '&labels=bug' + '&template=bug.yml' +
        '&electron_version=' + encodeURIComponent(process.versions.electron) +
        '&app_version=' + encodeURIComponent(electron_1.app.getVersion()) +
        '&additional=' + encodeURIComponent('**Notice:** This issue was automatically generated by ' + electron_1.app.getName() + '.') +
        (description !== '' ? '&description=' + encodeURIComponent(description) : ''));
    if (githubIssueUrl.origin === "https://github.com")
        electron_1.shell.openExternal(githubIssueUrl.href);
}
exports.createGithubIssue = createGithubIssue;
