"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const electron_1 = require("electron");
const crypto_1 = require("crypto");
const global_1 = require("../../global");
const capturer_1 = require("../modules/capturer");
const cosmetic_1 = require("../modules/cosmetic");
const l10n_1 = require("../../modules/l10n");
const contextBridgeApiKey = "__" + (0, crypto_1.randomBytes)(32).toString('base64') + "__";
(0, cosmetic_1.default)();
electron_1.contextBridge.exposeInMainWorld(contextBridgeApiKey, {
    desktopCapturerPicker: capturer_1.default
});
if (window.location.protocol === 'file:')
    electron_1.contextBridge.exposeInMainWorld('webcord', {
        l10n: (new l10n_1.default()).web
    });
electron_1.ipcRenderer.send('api-exposed', contextBridgeApiKey);
(0, global_1.wLog)("Everything has been preloaded successfully!");
